{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Edit profile -- {{request.user.id}}</title>
{% endblock meta %}

{% block content %}

<style>
    body {
    margin: 0;
    padding-top: 40px;
    color: #2e323c;
    background: #f5f6fa;
    position: relative;
    height: 100%;
}
.account-settings .user-profile {
    margin: 0 0 1rem 0;
    padding-bottom: 1rem;
    text-align: center;
}
.account-settings .user-profile .user-avatar {
    margin: 0 0 1rem 0;
}
.account-settings .user-profile .user-avatar img {
    width: 90px;
    height: 90px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 100px;
}

.account-settings .motto {
    margin: 1rem 0 0 0;
    text-align: center;

}
.account-settings .motto h5 {
    margin: 0 0 10px 0;
    color: #ffffff;
}

.account-settings .motto h2 {
    margin: 0 0 10px 0;
    color: #ffffff;
}

.card {
    background: #BA55D3;
}
</style>


<div class="container">
    <div class="card h-100">
        <div class="account-settings">
            <div class="motto">
                <h2>
                    Profile Update
                </h2>
            </div>
        </div>
    </div>
        <div class="card-content">
            
                <form action="" method="POST">
                <!-- Security token by Django -->
                    {% csrf_token %}
                    <p>First Name:</p>
                    <input type="text" id="first_name" name="first_name"/></br>
                    <p>Last Name:</p>
                    <input type="text" id="last_name" name="last_name"/></br>
                    <p>Hobby:</p>
                    <input type="text" id="hobby" name="hobby"/></br>
                    <p>City:</p>
                    <input type="text" id="city" name="city"/></br>
                    <p>Motto:</p>
                    <input type="text" id="motto" name="motto"/></br>
        
                    <div class="account-settings">
                    <div class="motto">
                    <h5><input type="submit" value="Update" href="/profile"></h5>
                    </div>
                    </div>
                </form>
        </div>
        <!-- <form method="get" action="/profile">
        </form> -->
    
        
    </div>
    <script type="text/javascript">
        $(document).on('submit', '#post-form', function(e){
            e.preventDefault();

            $.ajax({
                type:'POST',
                url:'/profile/',
                data:{
                    first_name:$('#first_name').val(),
                    last_name:$('#last_name').val(),
                    hobby:$('#hobby').val(),
                    city:$('#city').val(),
                    motto:$('#motto').val(),
                    csrfmiddlewaretoken:$('input[name=csrfmiddlewaretoken]').val(),
                },
                success: function (data){
                    $('h2').html(data);
                }
            });
        });
    </script>
</div>
{% endblock content %}
